com.ihr.xbrl.om.formula.functions.custom

## Class XBRLCustomFunctionImplementationLibrary

- java.lang.Object
- - com.ihr.xbrl.om.formula.XBRLRSCustomFunctionLibraryAbstract
  - - com.ihr.xbrl.om.formula.functions.custom.XBRLCustomFunctionImplementationLibrary

- All Implemented Interfaces:
    XBRLRSCustomFunctionLibrary, java.io.Serializable, net.sf.saxon.functions.FunctionLibrary

      public class XBRLCustomFunctionImplementationLibrary
      extends XBRLRSCustomFunctionLibraryAbstract

  The Class XBRLCustomFunctionImplementationLibrary.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLCustomFunctionImplementationLibrary(XBRLFormulaProcessor proc, java.lang.String uri, java.lang.String prefix)` Instantiates a new XBRL custom function implementation library.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntry(XBRLCustomFunctionImplementation xbrlCustomFunctionImplementation)` Adds the entry.
    `net.sf.saxon.expr.Expression` | `bind(net.sf.saxon.om.StructuredQName functionName, net.sf.saxon.expr.Expression[] staticArgs, net.sf.saxon.expr.StaticContext env, net.sf.saxon.expr.Container container)`
    `net.sf.saxon.functions.StandardFunction.Entry` | `getFunction(java.lang.String name, int arity)` Returns the implementation of a specific function providing the function local name and the arity.
    `java.lang.String` | `getFunctionLibraryPrefix()` Returns the custom function library prefix.
    `java.lang.String` | `getFunctionLibraryURI()` returns the custom function library URI.

    - ### Methods inherited from class com.ihr.xbrl.om.formula.XBRLRSCustomFunctionLibraryAbstract

      `copy, getFormulaProcessor, getFunctionSignature, isAvailable, setFormulaProcessor`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLCustomFunctionImplementationLibrary

          public XBRLCustomFunctionImplementationLibrary(XBRLFormulaProcessor proc,
                                                 java.lang.String uri,
                                                 java.lang.String prefix)

      Instantiates a new XBRL custom function implementation library.
      Parameters:
        `proc` - the proc
        `uri` - the uri
        `prefix` - the prefix

  - ### Method Detail

    - #### getFunctionLibraryURI

          public java.lang.String getFunctionLibraryURI()

      Description copied from class: `XBRLRSCustomFunctionLibraryAbstract`
      returns the custom function library URI.
      Specified by:
        `getFunctionLibraryURI` in class `XBRLRSCustomFunctionLibraryAbstract`
      Returns:
        String

    - #### getFunctionLibraryPrefix

          public java.lang.String getFunctionLibraryPrefix()

      Description copied from class: `XBRLRSCustomFunctionLibraryAbstract`
      Returns the custom function library prefix.
      Specified by:
        `getFunctionLibraryPrefix` in class `XBRLRSCustomFunctionLibraryAbstract`
      Returns:
        String

    - #### getFunction

          public net.sf.saxon.functions.StandardFunction.Entry getFunction(java.lang.String name,
                                                                  int arity)

      Description copied from class: `XBRLRSCustomFunctionLibraryAbstract`
      Returns the implementation of a specific function providing the function local name and the arity.
      Specified by:
        `getFunction` in class `XBRLRSCustomFunctionLibraryAbstract`
      Parameters:
        `name` - function local name
        `arity` - number of arguments
      Returns:
        StandardFunction.Entry

    - #### bind

          public net.sf.saxon.expr.Expression bind(net.sf.saxon.om.StructuredQName functionName,
                                          net.sf.saxon.expr.Expression[] staticArgs,
                                          net.sf.saxon.expr.StaticContext env,
                                          net.sf.saxon.expr.Container container)
                                            throws net.sf.saxon.trans.XPathException

      Specified by:
        `bind` in interface `net.sf.saxon.functions.FunctionLibrary`
      Overrides:
        `bind` in class `XBRLRSCustomFunctionLibraryAbstract`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### addEntry

          public void addEntry(XBRLCustomFunctionImplementation xbrlCustomFunctionImplementation)
                        throws net.sf.saxon.trans.XPathException

      Adds the entry.
      Parameters:
        `xbrlCustomFunctionImplementation` - the xbrl custom function implementation
      Throws:
        `net.sf.saxon.trans.XPathException` - the x path exception